# Auto-generated by tools/gen_part1.py — do not edit by hand.
# 章节：p01/ch09/s04
add_executable(p1c09_04_01 function_object.cpp)
set_target_properties(p1c09_04_01 PROPERTIES C_STANDARD 17 C_STANDARD_REQUIRED ON C_EXTENSIONS OFF)
set_target_properties(p1c09_04_01 PROPERTIES CXX_STANDARD 17 CXX_STANDARD_REQUIRED ON CXX_EXTENSIONS OFF)
target_compile_options(p1c09_04_01 PRIVATE -Wall -Wextra)
add_executable(p1c09_04_02 predicate.cpp)
set_target_properties(p1c09_04_02 PROPERTIES C_STANDARD 17 C_STANDARD_REQUIRED ON C_EXTENSIONS OFF)
set_target_properties(p1c09_04_02 PROPERTIES CXX_STANDARD 17 CXX_STANDARD_REQUIRED ON CXX_EXTENSIONS OFF)
target_compile_options(p1c09_04_02 PRIVATE -Wall -Wextra)
add_executable(p1c09_04_03 builtin_function_object.cpp)
set_target_properties(p1c09_04_03 PROPERTIES C_STANDARD 17 C_STANDARD_REQUIRED ON C_EXTENSIONS OFF)
set_target_properties(p1c09_04_03 PROPERTIES CXX_STANDARD 17 CXX_STANDARD_REQUIRED ON CXX_EXTENSIONS OFF)
target_compile_options(p1c09_04_03 PRIVATE -Wall -Wextra)
add_executable(p1c09_04_04 builtin_function_object_2.cpp)
set_target_properties(p1c09_04_04 PROPERTIES C_STANDARD 17 C_STANDARD_REQUIRED ON C_EXTENSIONS OFF)
set_target_properties(p1c09_04_04 PROPERTIES CXX_STANDARD 17 CXX_STANDARD_REQUIRED ON CXX_EXTENSIONS OFF)
target_compile_options(p1c09_04_04 PRIVATE -Wall -Wextra)
add_executable(p1c09_04_05 traversal_algorithms.cpp)
set_target_properties(p1c09_04_05 PROPERTIES C_STANDARD 17 C_STANDARD_REQUIRED ON C_EXTENSIONS OFF)
set_target_properties(p1c09_04_05 PROPERTIES CXX_STANDARD 17 CXX_STANDARD_REQUIRED ON CXX_EXTENSIONS OFF)
target_compile_options(p1c09_04_05 PRIVATE -Wall -Wextra)
add_executable(p1c09_04_06 traversal_algorithms_2.cpp)
set_target_properties(p1c09_04_06 PROPERTIES C_STANDARD 17 C_STANDARD_REQUIRED ON C_EXTENSIONS OFF)
set_target_properties(p1c09_04_06 PROPERTIES CXX_STANDARD 17 CXX_STANDARD_REQUIRED ON CXX_EXTENSIONS OFF)
target_compile_options(p1c09_04_06 PRIVATE -Wall -Wextra)
add_custom_target(all_p01_ch09_s04 DEPENDS p1c09_04_01 p1c09_04_02 p1c09_04_03 p1c09_04_04 p1c09_04_05 p1c09_04_06)
